Activity log for bug #1707691

Date Who What changed Old value New value Message
2017-07-31 17:40:57 brian mullan bug added bug
2017-08-01 08:25:10 Timo Aaltonen libxfont (Ubuntu): status New Won't Fix
2017-08-04 16:18:59 John Anold bug added subscriber John Anold
2017-08-04 16:19:54 John Anold bug task added libxfont1 (Ubuntu)
2017-08-07 14:11:29 Launchpad Janitor xorg-server (Ubuntu): status New Confirmed
2017-08-07 14:11:29 Timo Aaltonen affects libxfont1 (Ubuntu) xorg-server (Ubuntu)
2017-08-07 14:11:42 Timo Aaltonen xorg-server (Ubuntu): status New In Progress
2017-08-07 14:12:00 Timo Aaltonen xorg-server (Ubuntu): assignee Timo Aaltonen (tjaalton)
2017-08-07 14:12:11 Timo Aaltonen nominated for series Ubuntu Xenial
2017-08-07 14:12:11 Timo Aaltonen bug task added libxfont (Ubuntu Xenial)
2017-08-07 14:12:11 Timo Aaltonen bug task added xorg-server (Ubuntu Xenial)
2017-08-07 14:12:26 Timo Aaltonen xorg-server (Ubuntu Xenial): status New In Progress
2017-08-07 14:12:26 Timo Aaltonen xorg-server (Ubuntu Xenial): assignee Timo Aaltonen (tjaalton)
2017-08-07 14:12:41 Timo Aaltonen xorg-server (Ubuntu): status In Progress Invalid
2017-08-07 14:12:41 Timo Aaltonen xorg-server (Ubuntu): assignee Timo Aaltonen (tjaalton)
2017-08-07 14:14:40 Timo Aaltonen description /usr/include/xorg/dixfont.h includes X11/fonts/fontutil.h. fontutil.h is contained in libxfont1-dev package not libxfont-dev package (version 2.0.1). I am trying to build xorgxrdp and it fails because fontutil.h is missing. In Ubuntu, libxfont1-dev package is required however libxfont1-dev and libxfont-dev cannot be installed together. This is the problem. I looked at Debian, too. /usr/include/xorg/dixfont.h in Debian does NOT include X11/fonts/fontutil.h. This is the right state. Package info: Ubuntu 16.04 $ dpkg -la | grep -e xserver-xorg-dev -e libxfont-dev ii libxfont-dev 1:2.0.1-3~ubuntu16.04.1 amd64 X11 font rasterisation library (development headers) ii xserver-xorg-dev 2:1.18.4-0ubuntu0.3 amd64 Xorg X server - development files brian [Impact] /usr/include/xorg/dixfont.h includes X11/fonts/fontutil.h. fontutil.h is contained in libxfont1-dev package not libxfont-dev package (version 2.0.1). I am trying to build xorgxrdp and it fails because fontutil.h is missing. In Ubuntu, libxfont1-dev package is required however libxfont1-dev and libxfont-dev cannot be installed together. This is the problem. Package info: Ubuntu 16.04 $ dpkg -la | grep -e xserver-xorg-dev -e libxfont-dev ii libxfont-dev 1:2.0.1-3~ubuntu16.04.1 amd64 X11 font rasterisation library (development headers) ii xserver-xorg-dev 2:1.18.4-0ubuntu0.3 amd64 Xorg X server - development files [Test case] xserver-xorg-dev needs to change the dependency on libxfont-dev to libxfont1-dev. [Regression potential] none, this is just to reflect the current state
2017-08-10 07:31:26 Timo Aaltonen xorg-server (Ubuntu Xenial): status In Progress Fix Committed
2017-08-10 07:32:26 Timo Aaltonen tags verification-needed-xenial
2017-08-10 16:55:01 John Anold tags verification-needed-xenial verification-done-xenial
2017-08-10 22:07:15 Timo Aaltonen summary libxfont1-dev is missing fontutil.h [xenial] xserver-xorg-dev should depend on libxfont1-dev
2017-08-10 22:10:40 Timo Aaltonen libxfont (Ubuntu Xenial): status New Invalid
2017-08-11 12:56:45 Brendan Holmes bug added subscriber Brendan Holmes
2017-09-09 05:00:07 Mathew Hodson bug task deleted libxfont (Ubuntu Xenial)
2017-09-09 05:00:16 Mathew Hodson bug task deleted libxfont (Ubuntu)
2017-09-14 18:52:56 Launchpad Janitor xorg-server (Ubuntu Xenial): status Fix Committed Fix Released